You need to enable JavaScript to run this app.
Volcano Engine Function as a Service

Volcano Engine Function as a Service

Copy page
Download PDF
Sandbox images
ListSandboxImages
Copy page
Download PDF
ListSandboxImages
Obtain information of preheated images in batch.​
Request description​
  • Request method: POST​
  • Request URL: http://open.volcengineapi.com/?Action=ListSandboxImages&Version=2024-06-06​
Debugging​
API Explorer
You can initiate calls online through API Explorer without paying attention to the signature generation process and quickly obtain the call results.
​
Request parameters​
​
Parameter​
Type​
Required​
Sample value​
Description​
Action​
String​
Yes​
ListSandboxImages​
Interface name. The name of the current API is ListSandboxImages.​
Version​
String​
Yes​
2024-06-06​
Interface version. The current version of the API is 2024-06-06 .​
ImageType​
String​
Yes​
private​
Image types:​
  • private: custom images​
  • public: public images​
Filters​
Array of SandboxImageFilter​
No​
-​
Filter condition used to query preheated images.​
PageNumber​
Integer​
No​
1​
The starting page number for paginated queries. The default value is 1.​
PageSize​
Integer​
No​
10​
Number of results displayed per page for paginated queries:​
  • Minimum value: 1​
  • Default value: 10​
​
SandboxImageFilter​
​
Parameter​
Type​
Required​
Sample value​
Description​
Key​
String​
No​
id​
The key of a filter condition:​
  • id: Sandbox image ID.​
  • source_image_url: Sandbox image address.​
  • precache_status: The preheating status of sandbox images.​
  • image_group: Sandbox image category.​
Values​
Array of String​
No​
["9px3******"]​
The value of a filter condition. It includes sandbox image ID, image address, preheating status, and image type. You can obtain the information by calling the GetSandboxImagePrecacheTicket API.​
​
Sample requests​
​
POST http://open.volcengineapi.com/?Action=ListSandboxImages&Version=2024-06-06 HTTP/1.1​
Content-Type: application/json​
{​
"ImageType": "private",​
"Filters": [​
{​
"Key": "id",​
"Values": [​
"9px3******"​
]​
}​
],​
"PageNumber": 1,​
"PageSize": 10​
}
​
Response parameters​
​
Parameter​
Type​
Sample value​
Description​
Images​
Array of SandboxImage​
-​
Image list.​
TotalCount​
Integer​
100​
Total number of images.​
​
SandboxImage​
​
Parameter​
Type​
Sample value​
Description​
ImageId​
String​
9px3r68nu9​
Sandbox image ID.​
ImageUrl​
String​
vefaas-****.cr.volces.com/vefaas-cr/****:latest​
The sandbox image address.​
ImageGroup​
String​
Code​
Categories of sandbox images:​
  • Code: Code runtime environment image.​
  • Browser: Browser runtime environment image.​
  • All-in-one: A highly integrated, multifunctional image for cloud-based development and execution environments.​
UpdateTime​
String​
2025-04-25 11:11:29.376 +0000 UTC​
The latest update time of sandbox images.​
PrecacheStatus​
String​
success​
Preheating status of sandbox images:​
  • success: preheated​
  • failed: failed to preheat​
  • caching: preheating in progress​
PrecacheStatusReason​
String​
-​
The reason for the sandbox image preheating failure.​
RelatedSandboxApplications​
Array of String​
["wxd2****"]​
The list of sandbox application IDs associated with the sandbox image.​
​
Sample responses​
​
HTTP/1.1 200 OK​
Content-Type: application/json​
{​
"ResponseMetadata": {​
"RequestId": "20230604110420****100232280022D31",​
"Action": "ListSandboxImages",​
"Version": "2024-06-06",​
"Service": "vefaas",​
"Region": "cn-beijing"​
},​
"Result": {​
"Images": [​
{​
"ImageId": "9px3r68nu9",​
"ImageUrl": "vefaas-****.cr.volces.com/vefaas-cr/****:latest",​
"ImageGroup": "Code",​
"UpdateTime": "2025-04-25 11:11:29.376 +0000 UTC",​
"PrecacheStatus": "success",​
"PrecacheStatusReason": "",​
"RelatedSandboxApplications": [​
"wxd2****"​
]​
}​
],​
"TotalCount": 100​
}​
}
​
Error codes​
There is no error code dedicated to this interface currently. If you encounter an exception when calling the interface, you can refer to Public error codes for troubleshooting.​
Last updated: 2025.09.22 15:28:02